%define module	pilkit

Name:		python-pilkit
Version:	2.0
Release:	%mkrel 1
Summary:	A collection of utilities and processors for the Python Imaging Libary
License:	BSD-3-Clause
Group:		Development/Python
URL:		https://github.com/matthewwithanm/pilkit/
Source0:	https://pypi.io/packages/source/p/pilkit/pilkit-%{version}.tar.gz
BuildArch:	noarch
Patch0:		pil-fix-test.patch
Patch1:		switch-to-pytest.patch
# https://github.com/matthewwithanm/pilkit/issues/54
Patch2:		python-pilkit-no-mock.patch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3dist(setuptools)

# SECTION test requirements
BuildRequires:	python3dist(pillow)
BuildRequires:	python3dist(pytest)

%description
PILKit is a collection of utilities for working with PIL
(the Python Imaging Library).

One of its main features is a set of **processors** which
expose a simple interface for performing manipulations on
PIL images.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	A collection of utilities and processors for the Python Imaging Libary
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
PILKit is a collection of utilities for working with PIL
(the Python Imaging Library).

One of its main features is a set of **processors** which
expose a simple interface for performing manipulations on
PIL images.

#---------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{module}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pilkit

%check
%pytest

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
%doc AUTHORS README.rst


%changelog
* Thu May 25 2023 daviddavid <daviddavid> 2.0-1.mga9
+ Revision: 1957962
- initial package python-pilkit

